package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.PosFenlei;

/**
 * spfenleiService接口
 * 
 * @author ruoyi
 * @date 2023-05-21
 */
public interface IPosFenleiService extends IService<PosFenlei>
{
    /**
     * 查询spfenlei
     * 
     * @param id spfenlei主键
     * @return spfenlei
     */
    public PosFenlei selectPosFenleiById(Long id);

    /**
     * 查询spfenlei列表
     * 
     * @param posFenlei spfenlei
     * @return spfenlei集合
     */
    public List<PosFenlei> selectPosFenleiList(PosFenlei posFenlei);

    /**
     * 新增spfenlei
     * 
     * @param posFenlei spfenlei
     * @return 结果
     */
    public int insertPosFenlei(PosFenlei posFenlei);

    /**
     * 修改spfenlei
     * 
     * @param posFenlei spfenlei
     * @return 结果
     */
    public int updatePosFenlei(PosFenlei posFenlei);

    /**
     * 批量删除spfenlei
     * 
     * @param ids 需要删除的spfenlei主键集合
     * @return 结果
     */
    public int deletePosFenleiByIds(Long[] ids);

    /**
     * 删除spfenlei信息
     * 
     * @param id spfenlei主键
     * @return 结果
     */
    public int deletePosFenleiById(Long id);
}
